<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <record id="view_ltc_repair_create_so_wizard_form" model="ir.ui.view">
        <field name="name">fusion.ltc.repair.create.so.wizard.form</field>
        <field name="model">fusion.ltc.repair.create.so.wizard</field>
        <field name="arch" type="xml">
            <form string="Link Contact">
                <group>
                    <field name="repair_id" invisible="1"/>
                    <field name="client_name"/>
                    <field name="action_type" widget="radio"/>
                    <field name="partner_id"
                           invisible="action_type != 'link_existing'"
                           required="action_type == 'link_existing'"/>
                </group>
                <footer>
                    <button name="action_confirm" type="object"
                            string="Confirm &amp; Create Sale Order"
                            class="btn-primary"/>
                    <button string="Cancel" class="btn-secondary"
                            special="cancel"/>
                </footer>
            </form>
        </field>
    </record>

</odoo>
